> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message to a web chat thread

> Send an inbound user message to a web chat thread. Agent replies are delivered via SSE or polling.



## OpenAPI

````yaml post /api/v1/threads/{threadId}/messages
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/threads/{threadId}/messages:
    post:
      tags:
        - SMS Threads
      summary: Send a message to a web chat thread
      description: >-
        Send an inbound user message to a web chat thread. Agent replies are
        delivered via SSE or polling.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: threadId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                  minLength: 1
              required:
                - message
      responses:
        '200':
          description: Message accepted for processing
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  threadId:
                    type: string
                  messageId:
                    type: string
                  windowExpiresIn:
                    type: number
                required:
                  - status
                  - threadId
                  - messageId
                  - windowExpiresIn
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 403
                  message:
                    type: string
                    default: Forbidden
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                    default: FORBIDDEN
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Thread not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````